import { NgModule}      from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule } from '@angular/router';
import {PreviousRouteRecorder} from '../openaireLibrary/utils/piwik/previousRouteRecorder.guard';
import {PiwikService}          from '../openaireLibrary/utils/piwik/piwik.service';

import {LearnHowComponent} from "./learn-how.component";
import {LearnHowRoutingModule} from "./learn-how-routing.module";
import {GifSliderModule} from "../openaireLibrary/utils/gif-slider/gif-slider.module";
import {HelperModule} from "../openaireLibrary/utils/helper/helper.module";
import {Schema2jsonldModule} from "../openaireLibrary/sharedComponents/schema2jsonld/schema2jsonld.module";
import {SEOServiceModule} from "../openaireLibrary/sharedComponents/SEO/SEOService.module";
import {HowModule} from "../openaireLibrary/monitor/how/how.module";
import {BreadcrumbsModule} from '../openaireLibrary/utils/breadcrumbs/breadcrumbs.module';
import {IconsModule} from "../openaireLibrary/utils/icons/icons.module";

@NgModule({
  imports: [
    CommonModule, RouterModule, LearnHowRoutingModule, GifSliderModule, HelperModule,
    Schema2jsonldModule, SEOServiceModule, HowModule, BreadcrumbsModule, IconsModule
  ],
  declarations: [
    LearnHowComponent
  ],
  exports: [
    LearnHowComponent
  ],
  providers:[
    PreviousRouteRecorder, PiwikService
  ]
})
export class LearnHowModule { }
