import {EnvProperties} from "../app/openaireLibrary/utils/properties/env-properties";

export let properties: EnvProperties = {
  environment: "development",
  enablePiwikTrack: false,
  useCache: false,
  showContent: true,
  framesAPIURL: "https://beta.openaire.eu/stats3/",
  statisticsAPIURL: "https://beta.services.openaire.eu/stats-api/",
  statisticsFrameAPIURL: "https://beta.openaire.eu/stats/",
  statisticsFrameNewAPIURL: "http://88.197.53.71:8080/stats-api/",
  useNewStatistisTool: false,
  claimsAPIURL: "http://scoobydoo.di.uoa.gr:8080/dnet-claims-service-2.0.0-SNAPSHOT/rest/claimsService/",
  searchAPIURLLAst: "https://beta.services.openaire.eu/search/v2/api/",
  searchResourcesAPIURL: "https://beta.services.openaire.eu/search/v2/api/resources",
  openCitationsAPIURL: "https://services.openaire.eu/opencitations/getCitations?id=",
  csvAPIURL: "http://rudie.di.uoa.gr:8080/dnet-functionality-services-2.0.0-SNAPSHOT/rest/v2/reports",
  searchCrossrefAPIURL: "https://api.crossref.org/works",
  searchDataciteAPIURL: "https://api.datacite.org/works",
  searchOrcidURL: "https://pub.orcid.org/v2.1/",
  orcidURL: "https://orcid.org/",
  doiURL: "https://dx.doi.org/",
  pmcURL: "http://europepmc.org/articles/",
  pmidURL: "https://www.ncbi.nlm.nih.gov/pubmed/",
  handleURL: "http://hdl.handle.net/",
  cordisURL: "http://cordis.europa.eu/projects/",
  openDoarURL: "http://v2.sherpa.ac.uk/id/repository/",
  r3DataURL: "http://service.re3data.org/repository/",
  zenodo: "https://zenodo.org/",
  zenodoCommunities: "https://zenodo.org/api/communities/",
  openAccess: "https://www.openaire.eu/support/faq#article-id-234",
  openAccessRepo: "https://www.openaire.eu/support/faq#article-id-310",
  fp7Guidlines: "https://www.openaire.eu/open-access-in-fp7-seventh-research-framework-programme",
  h2020Guidlines: "https://www.openaire.eu/oa-publications/h2020/open-access-in-horizon-2020",
  ercGuidlines: "http://erc.europa.eu/sites/default/files/document/file/ERC_Open_Access_Guidelines-revised_2014.pdf",
  helpdesk: "https://www.openaire.eu/support/helpdesk",
  utilsService: "http://mpagasas.di.uoa.gr:8000",
  vocabulariesAPI: "https://beta.services.openaire.eu/provision/mvc/vocabularies/",
  piwikBaseUrl: "https://analytics.openaire.eu/piwik.php?idsite=",
  piwikSiteId: "298",
  registryUrl: 'http://mpagasas.di.uoa.gr:8080/dnet-openaire-users-1.0.0-SNAPSHOT/api/registry/',
  loginUrl: "http://mpagasas.di.uoa.gr:8080/login-service/openid_connect_login",
  userInfoUrl: "http://mpagasas.di.uoa.gr:8080/login-service/userInfo",
  logoutUrl: "http://mpagasas.di.uoa.gr:8080/login-service/openid_logout",
  cookieDomain: ".di.uoa.gr",
  feedbackmail: "openaire.test@gmail.com",
  cacheUrl: "http://scoobydoo.di.uoa.gr:3000/get?url=",
  monitorServiceAPIURL: "http://duffy.di.uoa.gr:8080/uoa-monitor-service",
  adminToolsAPIURL: "http://duffy.di.uoa.gr:8080/uoa-monitor-service/",
  adminToolsPortalType: "monitor",
  adminToolsCommunity: "monitor",
  datasourcesAPI: "https://beta.services.openaire.eu/openaire/ds/search/",
  contextsAPI: "https://dev-openaire.d4science.org/openaire/context",
  communityAPI: "https://dev-openaire.d4science.org/openaire/community/",
  communitiesAPI: "https://dev-openaire.d4science.org/openaire/community/communities",
  csvLimit: 2000,
  pagingLimit: 20,
  resultsPerPage: 10,
  baseLink : "",
  domain : "http://dl170.madgik.di.uoa.gr/monitor",
  afterLoginRedirectLink: '/my-dashboards',
  searchLinkToResult: "/search/result?id=",
  searchLinkToPublication: "/search/publication?articleId=",
  searchLinkToProject: "/search/project?projectId=",
  searchLinkToDataProvider: "/search/dataprovider?datasourceId=",
  searchLinkToDataset: "/search/dataset?datasetId=",
  searchLinkToSoftwareLanding: "/search/software?softwareId=",
  searchLinkToOrganization: "/search/organization?organizationId=",
  searchLinkToOrp: "/search/other?orpId=",
  searchLinkToStakeholders: "/browse",
  searchLinkToResults: "/search/find/research-outcomes",
  searchLinkToDataProviders: "/search/find/dataproviders",
  searchLinkToProjects: "/search/find/projects",
  searchLinkToOrganizations: "/search/find/organizations",
  searchLinkToCompatibleDataProviders: "/search/content-providers",
  searchLinkToEntityRegistriesDataProviders: "/search/entity-registries",
  searchLinkToJournals: "/search/journals",
  searchLinkToAdvancedResults: "/search/advanced/research-outcomes",
  searchLinkToAdvancedProjects: "/search/advanced/projects",
  searchLinkToAdvancedDataProviders: "/search/advanced/dataproviders",
  searchLinkToAdvancedOrganizations: "/search/advanced/organizations",
	errorLink: '/error',
  lastIndexInformationLink: "https://beta.openaire.eu/aggregation-and-content-provision-workflows",
  showLastIndexInformationLink: true,
  widgetLink: "https://beta.openaire.eu/index.php?option=com_openaire&view=widget&format=raw&projectId=",
  claimsInformationLink: "https://beta.openaire.eu/linking",
  depositLearnHowPage: "/participate/deposit/learn-how",
  depositSearchPage: "/participate/deposit/search",
  shareInZenodoPage: "/participate/deposit/zenodo",
  reCaptchaSiteKey: "6LcVtFIUAAAAAB2ac6xYivHxYXKoUvYRPi-6_rLu",
  admins: ["kostis30fylloy@gmail.com"],
  lastIndexUpdate: "2019-05-16",
  indexInfoAPI: "https://beta.services.openaire.eu/openaire/info/",
  altMetricsAPIURL: "https://api.altmetric.com/v1/doi/",
  b2noteAPIURL: "http://b2note-dev.bsc.es/",
  footerGrantText: "OpenAIRE has received funding from the European Union's Horizon 2020 research and innovation programme under grant agreements No. 777541 and 101017452"
};
